## td_lib-20250117.tgz

=== test/compare/Makefile ===
# $Id: Makefile,v 12.4 2010/05/24 23:36:30 tom Exp $
# make-file for TD_LIB common/test library

####### (Development) ##########################################################
THIS=compare
include ../../support/td_lib.mk
include ../td_defns.mk

####### (Standard Lists) #######################################################
REF_FILES = \
	diffload.ref \
	m2comp.ref \
	scomp.ref

SCRIPTS	= \
	run_test.sh \
	diffload.sh \
	m2comp.sh \
	scomp.sh

C_SRC	=

SOURCES	= Makefile $(C_SRC) $(SCRIPTS) $(REF_FILES) $(DATA_FILES)

PROGS	= \
	diffload \
	m2comp \
	scomp

####### (Standard Productions) #################################################
include ../td_rules.mk

####### (Details of Productions) ###############################################

# rules to make SunOs 'make' "work" with VPATH

m2comp:	test_cmp.c $S/m2comp.c ; $(LINK) -o $@ $(CFLAGS) $(CPP_OPTS) $S/$@.c $(LIB_ARGS)
scomp:	test_cmp.c $S/scomp.c  ; $(LINK) -o $@ $(CFLAGS) $(CPP_OPTS) $S/$@.c $(LIB_ARGS)

diffload.c \
m2comp.c \
scomp.c  :

=== package/debian/changelog ===
tdlib (20250117) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Fri, 17 Jan 2025 19:16:18 -0500

tdlib (20240421) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 21 Apr 2024 16:16:01 -0400

tdlib (20240419) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Fri, 19 Apr 2024 18:37:59 -0400

tdlib (20230122) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 22 Jan 2023 08:43:33 -0500

tdlib (20230121) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Fri, 20 Jan 2023 04:04:46 -0500

tdlib (20230117) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Wed, 11 Jan 2023 03:43:11 -0500

tdlib (20221231) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 31 Dec 2022 07:28:09 -0500

tdlib (20221011) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Tue, 11 Oct 2022 03:31:43 -0400

tdlib (20210328) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 28 Mar 2021 14:48:29 -0400

tdlib (20210110) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 10 Jan 2021 13:07:35 -0500

tdlib (20201208) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 06 Dec 2020 09:22:58 -0500

tdlib (20200503) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 03 May 2020 11:14:03 -0400

tdlib (20200501) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Fri, 01 May 2020 20:48:33 -0400

tdlib (20200428) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Tue, 28 Apr 2020 16:57:13 -0400

tdlib (20191231) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 21 Dec 2019 05:17:07 -0500

tdlib (20191226) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 21 Dec 2019 09:08:23 -0500

tdlib (20191219) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Thu, 19 Dec 2019 20:04:54 -0500

tdlib (20191218) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Wed, 18 Dec 2019 17:45:32 -0500

tdlib (20191217) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Tue, 17 Dec 2019 18:22:03 -0500

tdlib (20191211) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Wed, 11 Dec 2019 20:10:54 -0500

tdlib (20191206) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Fri, 06 Dec 2019 06:41:23 -0500

tdlib (20191205) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Thu, 05 Dec 2019 20:26:37 -0500

tdlib (20191201) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 01 Dec 2019 19:35:25 -0500

tdlib (20191129) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Fri, 29 Nov 2019 19:12:40 -0500

tdlib (20180324) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 24 Mar 2018 12:46:20 -0400

tdlib (20180108) unstable; urgency=low

  * updates for NetBSD 7

 -- Thomas E. Dickey <dickey@invisible-island.net>  Mon, 08 Jan 2018 16:31:41 -0500

tdlib (20180107) unstable; urgency=low

  * updates for OpenBSD 6

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 07 Jan 2018 12:14:33 -0500

tdlib (20171121) unstable; urgency=low

  * maintenance updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Tue, 21 Nov 2017 16:57:00 -0500

tdlib (20150704) unstable; urgency=low

  * integrate man2html, deprecating groff's man/html

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 04 Jul 2015 11:24:50 -0400

tdlib (20141214) unstable; urgency=low

  * fix the coverity "high" warnings

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 14 Dec 2014 16:01:40 -0500

tdlib (20140722) unstable; urgency=low

  * configure-script fixes/updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Tue, 22 Jul 2014 08:25:32 -0400

tdlib (20131205) unstable; urgency=low

  * configure-script fixes/updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Thu, 05 Dec 2013 19:23:51 -0500

tdlib (20120904) unstable; urgency=low

  * configure-script fixes/updates
  * bug-fix for checkout utility

 -- Thomas E. Dickey <dickey@invisible-island.net>  Tue, 04 Sep 2012 04:26:24 -0400

tdlib (20120113) unstable; urgency=low

  * configure-script fixes/updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Fri, 13 Jan 2012 13:05:31 -0500

tdlib (20110130) unstable; urgency=low

  * configure-script fixes/updates

 -- Thomas E. Dickey <dickey@invisible-island.net>  Sun, 30 Jan 2011 17:08:36 -0500

tdlib (20100711) unstable; urgency=low

  * implement ded "-m" mouse option

 -- Thomas E. Dickey <dickey@invisible-island.net>  Fri, 09 Jul 2010 17:02:51 -0400

tdlib (20100705) unstable; urgency=high

  * Initial package release

 -- Thomas E. Dickey <dickey@invisible-island.net>  Thu, 01 Jul 2010 04:46:10 -0400

=== package/debian/control ===
Source: tdlib
Maintainer: Thomas E. Dickey <dickey@invisible-island.net>
Priority: optional
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper (>= 5), libncurses-dev, rcs
Homepage: https://invisible-island.net/ded/

Package: tdlib-dev
Architecture: any
Section: libdevel
Description: td_lib - Thomas Dickey's library
 This development library is used to build several related packages:
 .
 ded - directory editor
 cm_tools - configuration management tools for RCS
 sccs_tools - configuration management tools for SSCS
 copyrite - utility for adding copyright notices

=== package/debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CPPFLAGS	:= $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS		:= $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS		:= $(shell dpkg-buildflags --get LDFLAGS)

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
        INSTALL_PROGRAM += -s
endif


configure: configure-stamp
configure-stamp:
	dh_testdir

	CPPFLAGS="$(CPPFLAGS)" \
	CFLAGS="$(CFLAGS)" \
	LDFLAGS="$(LDFLAGS)" \
	./configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--includedir=\$${prefix}/include \
		--libdir=\$${prefix}/lib \
		--mandir=\$${prefix}/share/man \
		--sysconfdir=/etc \
		--disable-echo \
		--disable-selflink \
		--enable-pc-files \
		--with-pkg-config-libdir=/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig \
		--with-man2html \
		--with-screen=ncursesw6

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	[ ! -f Makefile ] || $(MAKE) clean

	rm -f configure-stamp build-stamp install-stamp \
		config.cache config.h config.status config.log makefile

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tdlib-dev

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# No binary-indep target.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installchangelogs CHANGES
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install install-stamp

=== package/debian/watch ===
version=3

opts=passive ftp://ftp.invisible-island.net/ded/td_lib-(\d+)\.tgz \
 debian  uupdate
